curl --request GET \
--url https://backendapi.cloud.corbado.io/v2/users \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://backendapi.cloud.corbado.io/v2/users"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://backendapi.cloud.corbado.io/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"userID": "usr-4693224802260150919",
"status": "pending",
"emailIdentifiers": [
{
"identifierID": "ide-4693224802260150919",
"type": "email",
"value": "jane@doe.com",
"status": "pending",
"userID": "usr-4693224802260150919"
}
],
"phoneNumberIdentifiers": [
{
"identifierID": "ide-4693224802260150919",
"type": "email",
"value": "jane@doe.com",
"status": "pending",
"userID": "usr-4693224802260150919"
}
],
"usernameIdentifiers": [
{
"identifierID": "ide-4693224802260150919",
"type": "email",
"value": "jane@doe.com",
"status": "pending",
"userID": "usr-4693224802260150919"
}
],
"socialAccounts": [
{
"socialAccountID": "soc-6060375336139150919",
"providerType": "github",
"identifierValue": "jane@doe.com",
"userID": "usr-4693224802260150919",
"foreignID": "53150919",
"avatarURL": "https://avatars.githubusercontent.com/u/53150919?v=4",
"fullName": "Jane Doe"
}
],
"created": "<string>",
"createdMS": 123,
"updated": "<string>",
"updatedMs": 123,
"fullName": "Jane Doe",
"explicitWebauthnID": "<string>"
}
],
"paging": {
"page": 1,
"totalPages": 123,
"totalItems": 123
}
}{
"httpStatusCode": 123,
"message": "OK",
"requestData": {
"requestID": "req-557...663",
"link": "https://my.corbado.com/requests/req-xxxxxxxxxxxxxxxxxxx"
},
"runtime": 0.06167686,
"error": {
"type": "<string>",
"details": "<string>",
"validation": [
{
"field": "<string>",
"message": "<string>"
}
],
"links": [
"<string>"
]
},
"data": {}
}List users
Lists project users with pagination. Sort by creation time using created (ascending) or -created (descending).
Use exactly one filter: userID, userIDs, webauthnIDs, identifierValue or identifierValues.
Identifier filters require identifierType. List filters accept at most 1,000 values.
Required API key permission: users:read.
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Management Console.
Query Parameters
Filter by specific user ID (format usr-<number>). Cannot be used together with userIDs.
"usr-4693224802260150919"
Filter by multiple user IDs (comma-separated). Cannot be used together with userID, webauthnIDs, or identifier filters. Maximum 1000 IDs.
[
"usr-4693224802260150919",
"usr-1234567890123456789"
]
Filter by user IDs matching the given pattern. Supports % as a wildcard character. Cannot be used together with other filter types.
"usr-%"
Filter by multiple WebAuthn IDs (comma-separated). Cannot be used together with other filter types. Maximum 1000 IDs.
["abc123def456", "xyz789ghi012"]
Filter by identifier value (email, phone, or username). Must be used together with identifierType. Cannot be used together with identifierValues.
"jane@doe.com"
Filter by multiple identifier values (comma-separated). Must be used together with identifierType. Cannot be used together with identifierValue. Maximum 1000 values.
["jane@doe.com", "john@example.com"]
Type of identifier to filter by. Must be used together with identifierValue or identifierValues.
email, phone, username "email"
Filter by user status.
active, pending, disabled, deleted "active"
Sort field. Only created is supported.
- Use
+createdfor ascending order - Use
-createdfor descending order
+created, -created "-created"
Whether to include login identifiers in the response. Defaults to true.
The page number to retrieve for paginated results.
1
The number of items to return per page. Useful for pagination.
20
Was this page helpful?